Subject: Re: [Patch net-next v14 10/13] net: dsa: microchip: lan937x: add phylink_get_caps support

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 1 Jul 2022 09:07:52 +0100

On Fri, Jul 01, 2022 at 05:51:33AM +0000, [email-masked] wrote:
> > > +void lan937x_phylink_get_caps(struct ksz_device *dev, int port,
> > > +                           struct phylink_config *config)
> > > +{
> > > +     config->mac_capabilities = MAC_100FD;
> > > +
> > > +     if (dev->info->supports_rgmii[port]) {
> > > +             /* MII/RMII/RGMII ports */
> > > +             config->mac_capabilities |= MAC_ASYM_PAUSE |
> > > MAC_SYM_PAUSE |
> > > +                                         MAC_100HD | MAC_10 |
> > > MAC_1000FD;
> > 
> > And SGMII too? (Which seems to be a given because from your list in
> > the
> > series cover message, SGMII ports also support RGMII).
> 
> No, SGMII port does not support the RGMII. I have mentioned in the
> cover message that LAN9373 has 2 RGMII and 1 SGMII port. No other part
> number has SGMII port.

So when using SGMII, there's no way for pause frames to be supported?
It seems a bit weird that the pause frame capability is dependent on
the interface type, as pause frames are just the same as normal
ethernet frames, except they're ggenerally enerated and/or interpreted
by the MAC.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!